Package com.independentsoft.office.spreadsheet

# Class Sheet

java.lang.Object
com.independentsoft.office.spreadsheet.Sheet

Direct Known Subclasses:
  `ChartSheet`, `DialogSheet`, `Worksheet`

public abstract class Sheet extends Object
The Class Sheet.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DrawingObjects`
  `drawingObjects`
  `protected HeaderFooterSettings`
  `headerFooterSettings`
  `protected int`
  `id`
  `protected String`
  `name`
  `protected PageMargins`
  `pageMargins`
  `protected Relationship`
  `relationship`
  `protected SheetVisibilityType`
  `visibilityState`
  `protected VmlDrawing`
  `vmlDrawing`
  `protected VmlDrawing`
  `vmlDrawingHeaderFooter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sheet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Sheet`
  `clone()`
  `DrawingObjects`
  `getDrawingObjects()`
  Gets the drawing objects.
  `HeaderFooterSettings`
  `getHeaderFooterSettings()`
  Gets the header footer settings.
  `int`
  `getID()`
  Gets the id.
  `String`
  `getName()`
  Gets the name.
  `PageMargins`
  `getPageMargins()`
  Gets the page margins.
  `SheetVisibilityType`
  `getVisibilityState()`
  Gets the visibility state.
  `List<IVmlElement>`
  `getVmlHeaderFooterObjects()`
  Gets the vml header footer objects.
  `List<IVmlElement>`
  `getVmlObjects()`
  Gets the vml objects.
  `void`
  `setDrawingObjects​(DrawingObjects drawingObjects)`
  Sets the drawing objects.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPageMargins​(PageMargins pageMargins)`
  Sets the page margins.
  `void`
  `setVisibilityState​(SheetVisibilityType visibilityState)`
  Sets the visibility state.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### relationship

    protected Relationship relationship

  - ### name

    protected String name

  - ### id

    protected int id

  - ### visibilityState

    protected SheetVisibilityType visibilityState

  - ### headerFooterSettings

    protected HeaderFooterSettings headerFooterSettings

  - ### pageMargins

    protected PageMargins pageMargins

  - ### vmlDrawing

    protected VmlDrawing vmlDrawing

  - ### vmlDrawingHeaderFooter

    protected VmlDrawing vmlDrawingHeaderFooter

  - ### drawingObjects

    protected DrawingObjects drawingObjects

- ## Constructor Details

  - ### Sheet

    public Sheet()

- ## Method Details

  - ### clone

    public abstract Sheet clone()
    Overrides:
      `clone` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getVisibilityState

    public SheetVisibilityType getVisibilityState()
    Gets the visibility state.
    Returns:
      the visibility state

  - ### setVisibilityState

    public void setVisibilityState​(SheetVisibilityType visibilityState)
    Sets the visibility state.
    Parameters:
      `visibilityState` - the new visibility state

  - ### getHeaderFooterSettings

    public HeaderFooterSettings getHeaderFooterSettings()
    Gets the header footer settings.
    Returns:
      the header footer settings

  - ### getPageMargins

    public PageMargins getPageMargins()
    Gets the page margins.
    Returns:
      the page margins

  - ### setPageMargins

    public void setPageMargins​(PageMargins pageMargins)
    Sets the page margins.
    Parameters:
      `pageMargins` - the new page margins

  - ### getVmlObjects

    public List<IVmlElement> getVmlObjects()
    Gets the vml objects.
    Returns:
      the vml objects

  - ### getVmlHeaderFooterObjects

    public List<IVmlElement> getVmlHeaderFooterObjects()
    Gets the vml header footer objects.
    Returns:
      the vml header footer objects

  - ### getDrawingObjects

    public DrawingObjects getDrawingObjects()
    Gets the drawing objects.
    Returns:
      the drawing objects

  - ### setDrawingObjects

    public void setDrawingObjects​(DrawingObjects drawingObjects)
    Sets the drawing objects.
    Parameters:
      `drawingObjects` - the new drawing objects